Technical Discussion
  >> Windows Issues


Register (or login) on our website and you will not see this ad.


Pages in this thread: 1 | 2 | (show all)   Print Thread
Standard User Brunel
(experienced) Sun 20-Feb-11 21:45:43
Print Post

Problem with Windows update


[link to this post]
 
I have done all the usual updates, but everytime I go on to the update site it keeps stating that the same .NET files need updating.

I have now updated these files several times, and they install as normal

All the other updates show as completed.

I suspect that something akin to a LOG file is showing incorrect information.

Any way of correcting this slight problem?
Standard User camieabz
(legend) Sun 20-Feb-11 22:13:36
Print Post

Re: Problem with Windows update


[re: Brunel] [link to this post]
 
Download CCLeaner lite from :

http://www.piriform.com/ccleaner/builds

Run the cleaner tool, and the registry cleaner. If that doesn't work, uninstall .NET (not sure if you have 1.0 or 2.0 3.5 or 4.0, but you can any or all). The tools area of CCLeaner will show the .NET framework items to uninstall. Then run the cleaner, registry cleaner again, reboot, then run windows update.

~~~~~~~~~~



© Camieabz 2002-2011 - All rights and lefts reserved.

report this link
Standard User Brunel
(experienced) Sun 20-Feb-11 22:28:16
Print Post

Re: Problem with Windows update


[re: camieabz] [link to this post]
 
I appear to have all of the versions, perhaps that is the problem.


Register (or login) on our website and you will not see this ad.

Standard User camieabz
(legend) Sun 20-Feb-11 22:39:58
Print Post

Re: Problem with Windows update


[re: Brunel] [link to this post]
 
Not sure. If Microsoft wanted one to supercede another they would do it. Start with 4.0 and see how things go. Then 3.5 etc.

~~~~~~~~~~



© Camieabz 2002-2011 - All rights and lefts reserved.

report this link
Standard User Brunel
(experienced) Sun 20-Feb-11 22:52:14
Print Post

Re: Problem with Windows update


[re: camieabz] [link to this post]
 
Will give it a go, and report back.
Anonymous
(Unregistered)Mon 21-Feb-11 00:58:05
Print Post

Re: Problem with Windows update


[re: Brunel] [link to this post]
 
What is all this .NET stuff for ?
I have not installed any of the huge updates, can't see it makes any difference for regular
usage.
Regards,
Martin
Standard User AEP
(fountain of knowledge) Mon 21-Feb-11 07:56:41
Print Post

Re: Problem with Windows update


[re: Anonymous] [link to this post]
 
.NET is a programming framework. If a program requires .NET it should install it.

OP - I've had this sort of problem in the past with some .NET updates. Sometimes the easiest thing is just to tell Update not to offer them in future.
Standard User Brunel
(experienced) Mon 21-Feb-11 08:56:02
Print Post

Re: Problem with Windows update


[re: camieabz] [link to this post]
 
Forgot to mention it is Win XP,

I had .NET 2, 3, 3.5, AND 4 installed plus various service packs.

I deleted everything but 4

Win update then downloaded all previous versions, but would not install them.

Update site is still saying they are needed???

If I take the direct route, I can find .net 4 to download.

On the download page for vers. 3.5 it states that there is a newer version .NET4

I am totally confused.
Standard User Brunel
(experienced) Mon 21-Feb-11 10:32:48
Print Post

Re: Problem with Windows update


[re: camieabz] [link to this post]
 
.NET Framework cleanup tool

http://blogs.msdn.com/b/astebner/archive/2008/08/28/...
Standard User Nick_Russell
(experienced) Mon 21-Feb-11 10:34:13
Print Post

Re: Problem with Windows update


[re: Brunel] [link to this post]
 
For what it is worth, and as I understand it...

.NET 1.1 is an independent framework with no connection to 2.0/3.0/3.5.

You cannot uninstall 2.0 or 3.0 and keep 3.5 as all are one framework. 3.0 and 3.5 are not full frameworks. They are extensions to 2.0.

.NET 4.0 is an independent full framework with no connection to 2.0/3.0/3.5.

If you Download .NET Framework 3.5 Service Pack 1 (Full Package) it will install .NET 2.0 SP2 and 3.0 SP2 as prerequisite.

So it may be the order in which you installed earlier versions is causing the problem?

How about trying to install a full 3.5 SP1 and full 4.0?

You could also try a Repair. (Control Panel / Add Remove / Repair)

Nick

Plusnet Plusnet Pro 21CN Netgear DGND3300v2 router
Windows XP Pro SP3
Pages in this thread: 1 | 2 | (show all)   Print Thread

Jump to